This service will be undergoing maintenance at 00:00 UTC, 2016-09-28. It is expected to last about 1 hours
Bug 97805 - window location not remembered on restart
window location not remembered on restart
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: mozilla (Show other bugs)
rawhide
i386 Linux
medium Severity low
: ---
: ---
Assigned To: Christopher Aillon
Ben Levenson
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-06-21 11:36 EDT by Alexandre Oliva
Modified: 2007-11-30 17:10 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-10-29 09:10:41 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Alexandre Oliva 2003-06-21 11:36:40 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.4) Gecko/20030613

Description of problem:
I used to have a spot in on of my desktops where mozilla fit, so, when I started
it, it would get placed there.  After upgrading (err...  full install of the OS
from scratch, just to be clear, keeping home directories unchanged) from Shrike
to Cambridge-A3, Mozilla will no longer occupy that spot, but rather always
start on the upper-left corner of the screen.

Version-Release number of selected component (if applicable):
mozilla-1.4-6

How reproducible:
Always

Steps to Reproduce:
1.Open a few windows, leaving more than enough room for the Mozilla window to
take up
2.Click on the Mozilla icon in the task bar for it to start

Actual Results:  It's placed in the upper-left corner, instead of in the spot
where it would fit without overlapping other windows.

Expected Results:  It should accept the placement hint from the WM?

Additional info:
Comment 1 Christopher Blizzard 2003-06-23 11:40:05 EDT
Mozilla remembers the last place it was placed.  I don't think that's a bug.
Comment 2 Alexandre Oliva 2003-06-23 12:40:46 EDT
Err..  It doesn't remember where it was last placed for me.  I have it here:

xwininfo: Window id: 0x2600096 "Bug 97805 - smart window placement broken? -
Mozilla"
 
  Absolute upper-left X:  6
  Absolute upper-left Y:  530
  Relative upper-left X:  6
  Relative upper-left Y:  21
  Width: 877
  Height: 657
  Depth: 24
  Visual Class: TrueColor
  Border width: 0
  Class: InputOutput
  Colormap: 0x20 (installed)
  Bit Gravity State: NorthWestGravity
  Window Gravity State: NorthWestGravity
  Backing Store State: NotUseful
  Save Under State: no
  Map State: IsViewable
  Override Redirect State: no
  Corners:  +6+530  -1037+530  -1037-253  +6-253
  -geometry 877x657+0+509
 
if I quit Mozilla, then start it again, I get it here:

xwininfo: Window id: 0x2600096 "Alexandre Oliva's Home Page - Mozilla"
                                                                                
  Absolute upper-left X:  6
  Absolute upper-left Y:  21
  Relative upper-left X:  6
  Relative upper-left Y:  21
  Width: 877
  Height: 657
  Depth: 24
  Visual Class: TrueColor
  Border width: 0
  Class: InputOutput
  Colormap: 0x20 (installed)
  Bit Gravity State: NorthWestGravity
  Window Gravity State: NorthWestGravity
  Backing Store State: NotUseful
  Save Under State: no
  Map State: IsViewable
  Override Redirect State: no
  Corners:  +6+21  -1037+21  -1037-762  +6-762
  -geometry 877x657+0+0
 
which overlaps with:

xwininfo: Window id: 0x1200006 "X-Chat [2.0.2]: lxo @ charon.oftc.net"
 
  Absolute upper-left X:  6
  Absolute upper-left Y:  21
  Relative upper-left X:  6
  Relative upper-left Y:  21
  Width: 1291
  Height: 482
  Depth: 24
  Visual Class: TrueColor
  Border width: 0
  Class: InputOutput
  Colormap: 0x20 (installed)
  Bit Gravity State: NorthWestGravity
  Window Gravity State: NorthWestGravity
  Backing Store State: NotUseful
  Save Under State: no
  Map State: IsViewable
  Override Redirect State: no
  Corners:  +6+21  -623+21  -623-937  +6-937
  -geometry 1291x482+0+0
 
the only other windows open in that desktop are:

xwininfo: Window id: 0x2200004 "GTimer"
 
  Absolute upper-left X:  899
  Absolute upper-left Y:  1211
  Relative upper-left X:  6
  Relative upper-left Y:  21
  Width: 400
  Height: 221
  Depth: 24
  Visual Class: TrueColor
  Border width: 0
  Class: InputOutput
  Colormap: 0x20 (installed)
  Bit Gravity State: ForgetGravity
  Window Gravity State: NorthWestGravity
  Backing Store State: NotUseful
  Save Under State: no
  Map State: IsViewable
  Override Redirect State: no
  Corners:  +899+1211  -621+1211  -621-8  +899-8
  -geometry 400x221+893-2
 
and

xwininfo: Window id: 0x24000d8 "emacs@free.redhat.lsd.ic.unicamp.br"
 
  Absolute upper-left X:  1310
  Absolute upper-left Y:  21
  Relative upper-left X:  6
  Relative upper-left Y:  21
  Width: 604
  Height: 1413
  Depth: 24
  Visual Class: TrueColor
  Border width: 0
  Class: InputOutput
  Colormap: 0x20 (installed)
  Bit Gravity State: NorthWestGravity
  Window Gravity State: NorthWestGravity
  Backing Store State: NotUseful
  Save Under State: no
  Map State: IsViewable
  Override Redirect State: no
  Corners:  +1310+21  -6+21  -6-6  +1310-6
  -geometry 80x106-0+0
 

so there shouldn't be any conflict, and it should get placed where it
used to be.  FWIW, this used to work with Mozilla on Shrike, but not
any more on Cambridge A3.
Comment 3 Alexandre Oliva 2003-07-27 21:56:06 EDT
It still doesn't remember its former location for me on Severn beta1.
Comment 4 Alexandre Oliva 2003-10-19 16:31:45 EDT
mozilla-1.4.1-10 still insists in starting in the upper-left corner for me.  Any
hints on how to track this problem down?
Comment 5 Christopher Blizzard 2003-10-21 09:38:20 EDT
There's an entry in your localstore.rdf in your home directory.  Something like
this:

  <RDF:Description about="chrome://navigator/content/navigator.xul#main-window"
                   sizemode="normal"
                   screenX="0"
                   screenY="0"
                   width="1040"
                   height="921" />

What does it say for you?
Comment 6 Alexandre Oliva 2003-10-21 12:38:07 EDT
I moved an open mozilla away from the (0,0) corner, quit and verified that
localstore.rdf said:

  <RDF:Description about="chrome://navigator/content/navigator.xul#main-window"
                   fullScreen="false"
                   sizemode="normal"
                   width="973"
                   height="709"
                   screenX="436"
                   screenY="445" />

then I started mozilla again, and it came back on the left corner again, and
quitting changed screenX and screenY to 0.
Comment 7 John Thacker 2006-10-29 09:10:41 EST
Please note that FC1 and FC2 are no longer supported even by Fedora Legacy, and
that FC3 and FC4 are supported by Fedora Legacy only for security issues. 
Please install a still supported version and retest.  If this still occurs on
FC3 or FC4 and is a security issue, please reopen the bug and assign it to that
version and Fedora Legacy.  If it still occurs on FC5, please reopen and assign
to the correct version.  

mozilla was removed from FC6, although the seamonkey application suite,
available from Fedora Extras, is derived from it.  Similar bugs may also be
present in firefox, so if the bug occurs with firefox in FC6, the bug should be
reassigned to FC6 and the firefox component.

Note You need to log in before you can comment on or make changes to this bug.